.nav-container {
  min-height: 100vh;
  background: #444;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.4);
}

.navbar-item {
  display: flex;
  padding: 1rem 0;
  cursor: pointer;
}

.navbar-item:hover {
  background: #ddd;
  color: black;
}

.nav-collapsed {
  width: 0;
  overflow: hidden;
  white-space: nowrap;
  transition: width 0.3s ease-in-out;
}

.nav-expanded {
  width: 100px;
}

.active-nav {
  background: white;
  color: black;
}
